<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity SalesUnitRequirement.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="sales_unit_requirement"
                                 constraintName="fk_sales_unit_requirement_customer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="customer"/>

        <addForeignKeyConstraint baseColumnNames="idsalesman"
                                 baseTableName="sales_unit_requirement"
                                 constraintName="fk_sales_unit_requirement_salesman_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="salesman"/>

        <addForeignKeyConstraint baseColumnNames="idcolor"
                                 baseTableName="sales_unit_requirement"
                                 constraintName="fk_sales_unit_requirement_color_id"
                                 referencedColumnNames="idfeature"
                                 referencedTableName="feature"/>

        <addForeignKeyConstraint baseColumnNames="idproduct"
                                 baseTableName="sales_unit_requirement"
                                 constraintName="fk_sales_unit_requirement_product_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="motor"/>

        <addForeignKeyConstraint baseColumnNames="idbranch"
                                 baseTableName="sales_unit_requirement"
                                 constraintName="fk_sales_unit_requirement_branch_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="branch"/>

    </changeSet>
</databaseChangeLog>
